/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : TPM3.C
**     Project   : PE_LH64_Quick_Start
**     Processor : MC9S08LH64C_LQFP80
**     Component : Init_TPM
**     Version   : Component 01.080, Driver 01.18, CPU db: 3.00.023
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 3/30/2010, 7:56 PM
**     Abstract  :
**          This file implements the TPM (TPM2) module initialization
**          according to the Peripheral Initialization Bean settings,
**          and defines interrupt service routines prototypes.
**     Settings  :
**          Bean name                                      : TPM3
**          Device                                         : TPM2
**          Settings
**            Clock settings
**              Clock Source Select                        : Bus rate clock
**              Prescaler                                  : 8
**              Modulo Counter                             : 0A00
**              Period                                     : 2.056 ms
**            Aligned                                      : Edge
**          Channels                                       : 2
**            Channel0                                     : 1
**              Capture/compare device                     : TPM20
**              Settings
**                Mode                                     : Pin not used
**              Pin                                        : Not Used
**              Interrupt
**                Channel Interrupt
**                  Interrupt                              : Vtpm2ch0
**                  Channel Interrupt                      : Disabled
**                  ISR Name                               : tpm2ch0_isr
**            Channel1                                     : 2
**              Capture/compare device                     : TPM21
**              Settings
**                Mode                                     : Pin not used
**              Pin                                        : Not Used
**              Interrupt
**                Channel Interrupt
**                  Interrupt                              : Vtpm2ch1
**                  Channel Interrupt                      : Disabled
**                  ISR Name                               : tpm2ch1_isr
**          Pins
**            External Clock Source                        : Disabled
**          Interrupts
**            Overflow Interrupt
**              Interrupt                                  : Vtpm2ovf
**              Overflow Interrupt                         : Disabled
**              ISR Name                                   :tpm2ovf_isr
**          Initialization
**          Call Init Method                               : yes
**     Contents  :
**         Init - void TPM3_Init(void);
**
**     Copyright : 1997 - 2009 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE TPM3. */

#include "TPM3.h"

/*
** ###################################################################
**
**  The interrupt service routine(s) must be implemented
**  by user in one of the following user modules.
**
**  If the "Generate ISR" option is enabled, Processor Expert generates
**  ISR templates in the CPU event module.
**
**  User modules:
**      PE_LH64_Quick_Start.c
**      Events.c
**
** ###################################################################
#pragma CODE_SEG __NEAR_SEG NON_BANKED
      ISR(tpm2ovf_isr)
      {
      // NOTE: The routine should include the following actions to obtain
      //       correct functionality of the hardware.
      //
      //       The TPM2SC register should be read and
      //       TOF bit must be set to 0 to clear the interrupt request.
      //       Example: TPM2SC;
      //                TPM2SC_TOF = 0;
      }
#pragma CODE_SEG DEFAULT
#pragma CODE_SEG __NEAR_SEG NON_BANKED
      ISR(tpm2ch0_isr)
      {
      // NOTE: The routine should include the following actions to obtain
      //       correct functionality of the hardware.
      //
      //       The TPM2C0SC register should be read and
      //       CH0F bit must be set to 0 to clear the interrupt request.
      //       Example: TPM2C0SC;
      //                TPM2C0SC_CH0F = 0;
      }
#pragma CODE_SEG DEFAULT
#pragma CODE_SEG __NEAR_SEG NON_BANKED
      ISR(tpm2ch1_isr)
      {
      // NOTE: The routine should include the following actions to obtain
      //       correct functionality of the hardware.
      //
      //       The TPM2C1SC register should be read and
      //       CH1F bit must be set to 0 to clear the interrupt request.
      //       Example: TPM2C1SC;
      //                TPM2C1SC_CH1F = 0;
      }
#pragma CODE_SEG DEFAULT

*/
/*
** ===================================================================
**     Method      :  TPM3_Init (component Init_TPM)
**
**     Description :
**         This method initializes registers of the TPM module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see "Call Init method" property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void TPM3_Init(void)
{
  (void)getReg8(TPM2C0SC);             /* Channel 0 int. flag clearing (first part) */
  /* TPM2C0SC: CH0F=0,CH0IE=0,MS0B=0,MS0A=0,ELS0B=0,ELS0A=0,??=0,??=0 */
  setReg8(TPM2C0SC, 0x00);             /* Int. flag clearing (2nd part) and channel 0 contr. register setting */ 
  (void)getReg8(TPM2C1SC);             /* Channel 1 int. flag clearing (first part) */
  /* TPM2C1SC: CH1F=0,CH1IE=0,MS1B=0,MS1A=0,ELS1B=0,ELS1A=0,??=0,??=0 */
  setReg8(TPM2C1SC, 0x00);             /* Int. flag clearing (2nd part) and channel 1 contr. register setting */ 
  /* TPM2SC: TOF=0,TOIE=0,CPWMS=0,CLKSB=0,CLKSA=0,PS2=0,PS1=0,PS0=0 */
  setReg8(TPM2SC, 0x00);               /* Stop and reset counter */ 
  setReg16(TPM2MOD, 0x0A00U);          /* Period value setting */ 
  (void)getReg8(TPM2SC);               /* Overflow int. flag clearing (first part) */
  /* TPM2SC: TOF=0,TOIE=0,CPWMS=0,CLKSB=0,CLKSA=1,PS2=0,PS1=1,PS0=1 */
  setReg8(TPM2SC, 0x0B);               /* Int. flag clearing (2nd part) and timer control register setting */ 
}

/* END TPM3. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 3.07 [04.34]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
