/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : TPM3.H
**     Project   : PE_LH64_Quick_Start
**     Processor : MC9S08LH64C_LQFP80
**     Component : Init_TPM
**     Version   : Component 01.080, Driver 01.18, CPU db: 3.00.023
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 3/30/2010, 7:56 PM
**     Abstract  :
**          This file implements the TPM (TPM2) module initialization
**          according to the Peripheral Initialization Bean settings,
**          and defines interrupt service routines prototypes.
**     Settings  :
**          Bean name                                      : TPM3
**          Device                                         : TPM2
**          Settings
**            Clock settings
**              Clock Source Select                        : Bus rate clock
**              Prescaler                                  : 8
**              Modulo Counter                             : 0A00
**              Period                                     : 2.056 ms
**            Aligned                                      : Edge
**          Channels                                       : 2
**            Channel0                                     : 1
**              Capture/compare device                     : TPM20
**              Settings
**                Mode                                     : Pin not used
**              Pin                                        : Not Used
**              Interrupt
**                Channel Interrupt
**                  Interrupt                              : Vtpm2ch0
**                  Channel Interrupt                      : Disabled
**                  ISR Name                               : tpm2ch0_isr
**            Channel1                                     : 2
**              Capture/compare device                     : TPM21
**              Settings
**                Mode                                     : Pin not used
**              Pin                                        : Not Used
**              Interrupt
**                Channel Interrupt
**                  Interrupt                              : Vtpm2ch1
**                  Channel Interrupt                      : Disabled
**                  ISR Name                               : tpm2ch1_isr
**          Pins
**            External Clock Source                        : Disabled
**          Interrupts
**            Overflow Interrupt
**              Interrupt                                  : Vtpm2ovf
**              Overflow Interrupt                         : Disabled
**              ISR Name                                   :tpm2ovf_isr
**          Initialization
**          Call Init Method                               : yes
**     Contents  :
**         Init - void TPM3_Init(void);
**
**     Copyright : 1997 - 2009 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __TPM3
#define __TPM3

/* MODULE TPM3. */

#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

/*
** ===================================================================
**     Method      :  TPM3_Init (component Init_TPM)
**
**     Description :
**         This method initializes registers of the TPM module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see "Call Init method" property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void TPM3_Init(void);

/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see TPM3.c file for more information).
** ===================================================================
*/
#pragma CODE_SEG __NEAR_SEG NON_BANKED
__interrupt void tpm2ovf_isr(void);
#pragma CODE_SEG DEFAULT

#pragma CODE_SEG __NEAR_SEG NON_BANKED
__interrupt void tpm2ch0_isr(void);
#pragma CODE_SEG DEFAULT

#pragma CODE_SEG __NEAR_SEG NON_BANKED
__interrupt void tpm2ch1_isr(void);
#pragma CODE_SEG DEFAULT

/* END TPM3. */

#endif /* ifndef __TPM3 */
/*
** ###################################################################
**
**     This file was created by Processor Expert 3.07 [04.34]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
