#ifndef __ADC__
#define __ADC__

#include "derivative.h" /* include peripheral declarations */
#include "FslTypes.h"

#ifndef TOTAL_ADCs

    #define ADC1_CHAN_MASK     (1<<6)
    #define ADC1_CHAN          6
    #define ADC1_PCTL1         APCTL1_ADPC6_MASK
    #define ADC1_PCTL2         0
    #define ADC1_PCTL3         0

#define APCTL1_REG    ADC1_PCTL1 | ADC2_PCTL1 | ADC3_PCTL1 | ADC4_PCTL1 | ADC5_PCTL1 | ADC6_PCTL1 | ADC7_PCTL1 | ADC8_PCTL1 | ADC9_PCTL1 | ADC10_PCTL1;
#define APCTL2_REG    ADC1_PCTL2 | ADC2_PCTL2 | ADC3_PCTL2 | ADC4_PCTL2 | ADC5_PCTL2 | ADC6_PCTL2 | ADC7_PCTL2 | ADC8_PCTL2 | ADC9_PCTL2 | ADC10_PCTL2;
#define APCTL3_REG    ADC1_PCTL3 | ADC2_PCTL3 | ADC3_PCTL3 | ADC4_PCTL3 | ADC5_PCTL3 | ADC6_PCTL3 | ADC7_PCTL3 | ADC8_PCTL3 | ADC9_PCTL3 | ADC10_PCTL3;

#define ADC_ACTIVE_CONVERSION   ADCSC2_ADACT

#endif

#pragma DATA_SEG DEFAULT
#pragma DATA_SEG MY_ZEROPAGE
extern UINT16 near ADCTable[1];
#pragma DATA_SEG DEFAULT


#define ADC_LowPower()          SCGC1_ADC = 0
#define ADC_WakeUp()            SCGC1_ADC = 1


void HWTrig_ADC_Init();

void ADC_Init();
  
void ADC_Start_conversion(UINT8);

void ADC_Start_conversions(void);

UINT16 ADC_Get_Conversion(void);

void ADC_End(void);

#endif