#ifndef __TEMP_MEASUREMENT__

  #define __TEMP_MEASUREMENT__
  
  #include <hidef.h>
  #include "derivative.h"
  #include "S08_ADC12.h"
  #include "TempControl.h"
    
  
  #define _TOTAL_METRIC_SYSTEMS_         2
  #define _CELSIUS_                      0
  #define _FAHRENHEIT_                   1
  
  #define CELSIUS_DEGREES_START          10
  #define FAHRENHEIT_DEGREES_START       50
  
  #define BANDGAP_VALUE                  117
  #define BANDGAP_CHANNEL                27
  
  #define METRIC_SYSTEM_CELSIUS()        gu8TempMetricSystem == _CELSIUS_
  #define METRIC_SYSTEM_FAHRENHEIT()     gu8TempMetricSystem == _FAHRENHEIT_
  
  
  extern UINT16 gu16Temperature;
  extern UINT8  gu8TempMetricSystem;
  extern UINT16 gu16ADCVDD;
  extern sSM    sTempMeasurementSM;
  
  
  void TempMeasurementGetVDD(void);
  signed int GetTemperature(void);
  void InitTempSensorParameters(void);
  
#endif